Intermittent toolkit/content/tests/browser/browser_block_autoplay_media_pausedAfterPlay.js | Can't get the audio element! - false == true -

REOPENED
Unassigned

Status

()

P5
normal
REOPENED
a year ago
3 days ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

1 failures in 718 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377626&startday=2017-06-26&endday=2017-07-02&tree=all
1 failures in 656 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* osx-cross: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377626&startday=2017-07-03&endday=2017-07-09&tree=all
Priority: -- → P5
1 failures in 1008 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-central: 1

Platform breakdown:
* macosx64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377626&startday=2017-07-24&endday=2017-07-30&tree=all
2 failures in 901 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1
* mozilla-inbound: 1

Platform breakdown:
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377626&startday=2017-08-07&endday=2017-08-13&tree=all
2 failures in 908 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377626&startday=2017-08-21&endday=2017-08-27&tree=all
https://treeherder.mozilla.org/logviewer.html#?job_id=159914679&repo=autoland&lineNumber=36245
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
1 failures in 735 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377626&startday=2018-01-29&endday=2018-02-04&tree=all
1 failures in 685 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1377626&startday=2018-02-12&endday=2018-02-18&tree=all
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: a year ago7 months ago
Resolution: --- → INCOMPLETE
2 failures in 551 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 2

Platform breakdown:
* windows7-32: 1
* osx-10-10: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1377626&startday=2018-04-30&endday=2018-05-06&tree=trunk
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: 7 months ago4 months ago
Resolution: --- → INCOMPLETE
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=197855164&repo=mozilla-beta&lineNumber=8588

task 2018-09-06T15:47:31.523Z] 15:47:31     INFO - TEST-PASS | toolkit/content/tests/browser/browser_block_autoplay_media_pausedAfterPlay.js | The tab should not be blocked - 
[task 2018-09-06T15:47:31.524Z] 15:47:31     INFO - - open new background tab2, and check tab2's media suspend type -
[task 2018-09-06T15:47:31.525Z] 15:47:31     INFO - Buffered messages finished
[task 2018-09-06T15:47:31.527Z] 15:47:31     INFO - TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_block_autoplay_media_pausedAfterPlay.js | Can't get the audio element! - false == true - 
[task 2018-09-06T15:47:31.527Z] 15:47:31     INFO - Stack trace:
[task 2018-09-06T15:47:31.528Z] 15:47:31     INFO - resource://testing-common/content-task.js line 59 > eval:check_audio_suspended:6
[task 2018-09-06T15:47:31.529Z] 15:47:31     INFO - resource://testing-common/content-task.js:null:60
[task 2018-09-06T15:47:31.530Z] 15:47:31     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-06T15:47:31.531Z] 15:47:31     INFO - TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_block_autoplay_media_pausedAfterPlay.js | Uncaught exception - TypeError: audio is null, can't access property "computedSuspended" of it
[task 2018-09-06T15:47:31.532Z] 15:47:31     INFO - Leaving test bound block_autoplay_media
[task 2018-09-06T15:47:31.533Z] 15:47:31     INFO - GECKO(8930) | MEMORY STAT | vsize 2025MB | residentFast 272MB | heapAllocated 101MB
[task 2018-09-06T15:47:31.534Z] 15:47:31     INFO - TEST-OK | toolkit/content/tests/browser/browser_block_autoplay_media_pausedAfterPlay.js | took 478ms
[task 2018-09-06T15:47:31.535Z] 15:47:31     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-06T15:47:31.536Z] 15:47:31     INFO - TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_block_autoplay_media_pausedAfterPlay.js | Found an unexpected tab at the end of test run: https://example.com/browser/toolkit/content/tests/browser/file_blockMedia_shouldPlay.html - 
[task 2018-09-06T15:47:31.537Z] 15:47:31     INFO - Not taking screenshot here: see the one that was previously logged
[task 2018-09-06T15:47:31.537Z] 15:47:31     INFO - TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_block_autoplay_media_pausedAfterPlay.js | Found an unexpected tab at the end of test run: https://example.com/browser/toolkit/content/tests/browser/file_blockMedia_shouldNotPlay.html - 
[task 2018-09-06T15:47:31.538Z] 15:47:31     INFO - checking window state
[task 2018-09-06T15:47:31.538Z] 15:47:31     INFO - TEST-START | toolkit/content/tests/browser/browser_block_autoplay_playAfterTabVisible.js
[task 2018-09-06T15:47:31.974Z] 15:47:31     INFO - GECKO(8930) | MEMORY STAT | vsize 2029MB | residentFast 268MB | heapAllocated 97MB
[task 2018-09-06T15:47:31.974Z] 15:47:31     INFO - TEST-OK | toolkit/content/tests/browser/browser_block_autoplay_playAfterTabVisible.js | took 765ms
[task 2018-09-06T15:47:31.995Z] 15:47:31     INFO - checking window state
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
1 failures in 2667 pushes (0.0 failures/push) were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux64-nightly: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1377626&startday=2018-09-03&endday=2018-09-09&tree=all
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: 4 months ago15 days ago
Resolution: --- → INCOMPLETE

Updated

8 days ago
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
1 failures in 2740 pushes (0.0 failures/push) were associated with this bug in the last 7 days.

Repository breakdown:
* try: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1377626&startday=2018-10-08&endday=2018-10-14&tree=all
You need to log in before you can comment on or make changes to this bug.